Name:               mailcap
Version:            2.1.54
Release:            1
Summary:            Configuration tool for MIME-aware applications
License:            Public Domain and MIT
URL:                https://pagure.io/mailcap
Source0:            https://pagure.io/releases/mailcap/%{name}-%{version}.tar.xz

BuildRequires:      perl-interpreter
BuildArch:          noarch

Provides:           nginx-mimetypes
Obsoletes:          nginx-mimetypes

%description
Mailcap files are used to configure how MIME-aware applications such as
mail readers and Web browsers react to files with different MIME types.
(The name “mailcap” is derived from the phrase “mail capability”.) For example,
a mailcap file might contain a line like video/mpeg; xmpeg %s. Then, if the
user encounters an email message or Web document with the MIME type video/mpeg,
%s will be replaced by a filename (usually one belonging to a temporary file) and
the xmpeg program can be automatically started to view the file.

%package_help

%prep
%autosetup

%build
%make_build

%install
%make_install

mv %{buildroot}/etc/nginx/mime.types %{buildroot}/etc/nginx/mime_mailcap.types

%check
make check

%pre

%preun

%post

%postun

%files
%defattr(-,root,root)
%doc NEWS
%license COPYING
%config(noreplace) %{_sysconfdir}/mailcap
%config(noreplace) %{_sysconfdir}/mime.types
%config(noreplace) %{_sysconfdir}/nginx/mime_mailcap.types

%files help
%{_mandir}/man5/mailcap.*

%changelog
* Tue Jul 25 2023 chenzixuan <chenzixuan@kylinos.cn> - 2.1.54-1
- upgrade version to 2.1.54

* Wed Nov 16 2022 dongyuzhen <dongyuzhen@h-partners.com> - 2.1.53-3
- fix the date error in changelog

* Thu Oct 27 2022 dongyuzhen <dongyuzhen@h-partners.com> - 2.1.53-2
- Rebuild for next release

* Sat Nov 27 2021 liudabo <liudabo1@huawei.com> - 2.1.53-1
- upgrade version to 2.1.53

* Wed Sep 2 2020 shixuantong<shixuantong@huawei.com> - 2.1.49-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:move mime.types to mailcap rpm and change mime.types to mime_mailcap.types

* Tue Jul 28 2020 wenzhanli<wenzhanli2@huawei.com> - 2.1.49-1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:update version 2.1.49

* Thu Jul 9 2020 wangye <wangye70@huawei.com> - 2.1.48-7
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:move mime.types to help

* Mon Dec 23 2019 chengquan <chengquan3@huawei.com> - 2.1.48-6
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:transfer nginx function into main package

* Thu Aug 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.1.48-5
- Package init
